Upload a PDF file + metadata to generate a UBL file (and optionally send it)

Required scopes : invoices:send invoices:ingest:pdf

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
file

PDF bytes

string

JSON string containing the document metadata to be imported. This field must contain an object following the schema.

Main fields

  • document_type (string, required)
    Allowed values: sale_invoice, sale_credit_note.

  • document_date (date, required)
    (format YYYY-MM-DD)

  • due_date (date)

  • invoice_period (object)

  • number (string, required)

  • note (string)

  • accounting_cost (string)

  • buyer_reference (string)

  • purchase_order_reference (string)

  • sales_order_reference (string)

  • despatch_document_reference (string)

  • receipt_document_reference (string)

  • originator_document_reference (string)

  • contract_document_reference (string)

  • project_reference (string)

  • sender (object, required)

    • name
    • vat_number (must match the organization's VAT).
    • contact (optional)
      • name
      • phone
      • email
    • address (required)
      • line1
      • zip
      • city
      • region
      • country
  • receiver (object, required)

    • name
    • vat_number
    • company_number
    • peppol_identifier (deduced from VAT if missing).
    • contact (optional)
      • name
      • phone
      • email
    • address (required)
      • line1
      • zip
      • city
      • region
      • country (required)
  • delivery (object)

    • date (date)
    • location_id
    • scheme_id
    • party_name
    • location_address (object)
      • line1
      • line2
      • zip
      • city
      • region
      • country (required)
  • payment_means (array) : List of payment methods
    Each element includes:

    • code
      • Use one of debit_transfer, credit_transfer, cash, or one of the codes found at https://docs.peppol.eu/poacc/billing/3.0/codelist/UNCL4461/.
    • communication
    • iban
    • bic
    • payment_account_name
    • mandate_reference
  • payment_terms (string)

  • billing_references (array)
    Each element includes:

    • id (string, required)
    • issue_date (date)
  • currency (string)
    Currency code (EUR by default)

  • base_amount (string, required)

  • total_amount (string, required)

  • tax_subtotals (array, required)
    Each element includes:

    • tax_rate
    • base_amount
    • tax_amount
    • tax_regime (object, required)
      • type (string, required)
        Use standard for default VAT rates.

        Use vat_reverse_charge, intra_community, export, zero_rated_goods, taxes_not_applicable, or other_exoneration for 0% VAT.

      • legal_exoneration_text (string, optional) Only for other_exoneration.

  • lines (array, required)
    Each line includes:

    • name (string, required)

    • description (string, required)

    • origin_country_code (string)

    • quantity (string, required)

    • unit_price (string, required)

    • tax_rate (string, required)

    • base_amount (string, required)

    • tax_regime_type (string, required)
      Use standard for default VAT rates.

      Use vat_reverse_charge, intra_community, export, zero_rated_goods, taxes_not_applicable, or other_exoneration for 0% VAT.

    • account_number

    • cost_code

    • unit_of_measure (default EA, must be part of UBL list https://docs.peppol.eu/poacc/billing/3.0/codelist/UNECERec20/)

    • order_line_reference (string)

    • buyers_item_identification (string)

    • sellers_item_identification (string)

    • standard_item_identification (string)

    • standard_item_identification_scheme_id (string)

    • invoice_period (object)

      • start_date (date)
      • end_date (date)
    • allowance_charges (array)
      Each element includes:

    • additional_item_properties (array)
      Each element includes:

      • name (string, required)
      • value (string, required)
  • send_peppol (boolean)
    If true, the document will be sent through the Peppol network.

  • send_accounting (boolean)
    If true, the document will be forwarded to the accounting software (Horus Office).

  • accounting_info (object, optional)
    Additional accounting details (only when linked to Horus Office).

    • number
      Internal accounting document number.
    • journal
      Journal search key.

Example

{
  "document_type": "sale_invoice",
  "document_date": "2025-10-30",
  "due_date": "2025-11-15",
  "number": "INV-2025-00123",
  "buyer_reference": "N/A",
  "sender": {
    "name": "SANDBOX SRL",
    "vat_number": "BE0000000097",
    "address": { 
      "line1": "Sandbox street", 
      "zip": "1000", 
      "city": "Brussels", 
      "country": "BE" 
    }
  },
  "receiver": {
    "name": "Horus Software SA",
    "vat_number": "BE0478696879",
    "address": { 
      "line1": "Square des conduites d'eau 9", 
      "zip": "4031", 
      "city": "Angleur", 
      "country": "BE" 
    }
  },
  "currency": "EUR",
  "base_amount": "1000.00",
  "total_amount": "1210.00",
  "tax_subtotals": [
    { 
      "tax_rate": "21.0", 
      "base_amount": "1000.00", 
      "tax_amount": "210.00", 
      "tax_regime": {
        "type": "standard"
      }
    }
  ],
  "lines": [
    { 
      "name": "Accounting service", 
      "description": "Monthly fee", 
      "quantity": "1", 
      "unit_price": "1000.00", 
      "tax_rate": "21.0", 
      "base_amount": "1000.00", 
      "tax_regime_type": "standard"
    }
  ],
  "send_peppol": false,
  "send_accounting": true
}
Headers
string
required

Falco Api Key (provided by the client - required in addition to X-Falco-App-Secret).

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json